adding openbox-session.
add paths to the xsession .desktop files
data/openbox.png
dist_rc_DATA = \
+ data/autostart.sh \
data/rc.xml \
data/menu.xml
-e 's!@configdir\@!$(configdir)!' \
-e 's!@bindir\@!$(bindir)!'
+data/xsession/openbox-gnome.desktop: \
+ $(srcdir)/data/xsession/openbox-gnome.desktop.in
+ @echo make: creating $@
+ @mkdir data 2>/dev/null || true
+ @mkdir data/xsession 2>/dev/null || true
+ @$(edit) $< >$@
+ @chmod a+x $@
+
+data/xsession/openbox-kde.desktop: \
+ $(srcdir)/data/xsession/openbox-kde.desktop.in
+ @echo make: creating $@
+ @mkdir data 2>/dev/null || true
+ @mkdir data/xsession 2>/dev/null || true
+ @$(edit) $< >$@
+ @chmod a+x $@
+
+data/xsession/openbox.desktop: \
+ $(srcdir)/data/xsession/openbox.desktop.in
+ @echo make: creating $@
+ @mkdir data 2>/dev/null || true
+ @mkdir data/xsession 2>/dev/null || true
+ @$(edit) $< >$@
+ @chmod a+x $@
+
data/xsession/openbox-gnome-session: \
$(srcdir)/data/xsession/openbox-gnome-session.in
@echo make: creating $@
@$(edit) $< >$@
@chmod a+x $@
-doc/openbox.1.in: $(srcdir)/doc/openbox.1.sgml
+doc/openbox.1: $(srcdir)/doc/openbox.1.sgml
@echo make: creating $@
@mkdir doc 2>/dev/null || true
- @docbook-to-man $< > $@
+ @$(edit) $< | docbook-to-man - >$@
-doc/openbox.1: doc/openbox.1.in
+doc/openbox-session.1: $(srcdir)/doc/openbox-session.1.sgml
@echo make: creating $@
@mkdir doc 2>/dev/null || true
- @$(edit) $< >$@
+ @$(edit) $< | docbook-to-man - >$@
doc/openbox-gnome-session.1: $(srcdir)/doc/openbox-gnome-session.1.sgml
@echo make: creating $@
@mkdir doc 2>/dev/null || true
- @docbook-to-man $< > $@
+ @$(edit) $< | docbook-to-man - >$@
doc/openbox-kde-session.1: $(srcdir)/doc/openbox-kde-session.1.sgml
@echo make: creating $@
@mkdir doc 2>/dev/null || true
- @docbook-to-man $< > $@
+ @$(edit) $< | docbook-to-man - >$@
dist_gnomewmfiles_DATA = \
data/gnome-wm-properties/openbox.desktop
data/rc.xsd \
data/menu.xsd \
data/themerc.xsd \
+ data/xsession/openbox.desktop.in \
+ data/xsession/openbox-gnome.desktop.in \
+ data/xsession/openbox-kde.desktop.in \
data/xsession/openbox-session.in \
data/xsession/openbox-gnome-session.in \
data/xsession/openbox-kde-session.in \
dist_man_MANS = \
doc/openbox.1 \
+ doc/openbox-session.1 \
doc/openbox-gnome-session.1 \
doc/openbox-kde-session.1
--- /dev/null
+#!/bin/sh
+
+# Set a background color
+BG=""
+if which hsetroot >/dev/null; then
+ BG=hsetroot
+else
+ if which esetroot >/dev/null; then
+ BG=esetroot
+ else
+ if which xsetroot >/dev/null; then
+ BG=xsetroot
+ fi
+ fi
+fi
+test -z $BG || $BG -solid "#303030"
+
+# D-bus
+if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
+ eval `dbus-launch --sh-syntax --exit-with-session`
+fi
+
+# Make GTK apps look and behave how they were set up in the gnome config tools
+if which gnome-settings-daemon >/dev/null; then
+ gnome-settings-daemon &
+fi
+
+# Preload stuff for KDE apps
+if which start_kdeinit >/dev/null; then
+ LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
+fi
Encoding=UTF-8
Name=GNOME/Openbox
Comment=Use the Openbox window manager inside of the GNOME desktop environment
-Exec=openbox-gnome-session
+Exec=@bindir@/openbox-gnome-session
TryExec=gnome-session
Icon=openbox.png
Type=XSession
Encoding=UTF-8
Name=KDE/Openbox
Comment=Use the Openbox window manager inside of the K Desktop Environment
-Exec=openbox-kde-session
+Exec=@bindir@/openbox-kde-session
TryExec=startkde
Icon=openbox.png
Type=XSession
#!/bin/sh
-AUTOSTART="$HOME/.config/openbox/autostart"
+AUTOSTART="$HOME/.config/openbox/autostart.sh"
+GLOBALAUTOSTART="@configdir@/openbox/autostart.sh"
if test -e $AUTOSTART; then
# sleep for 1 second so Openbox is there before anything else
(sleep 1 && . $AUTOSTART) &
+else
+ if test -e $GLOBALAUTOSTART; then
+ # sleep for 1 second so Openbox is there before anything else
+ (sleep 1 && . $GLOBALAUTOSTART) &
+ fi
fi
exec @bindir@/openbox "$@"
Encoding=UTF-8
Name=Openbox
Comment=Log in using the Openbox window manager (without a session manager)
-Exec=openbox-session
-TryExec=openbox-session
+Exec=@bindir@/openbox-session
+TryExec=@bidir@/openbox-session
Icon=openbox.png
Type=XSession
.PP
\fBopenbox-gnome-session\fR runs a GNOME session with
Openbox as the window manager.
-.PP
-When running inside GNOME like this, Openbox will use the
-\fBrc-gnome.xml\fP configuration file.
.SH "SEE ALSO"
.PP
-openbox(1), openbox-kde-session (1).
+openbox(1), openbox-kde-session (1), openbox-session(1).
.PP
The program's full documentation is available on the website:
.PP
Please report bugs to: \fBhttp://bugzilla.icculus.org/
\fP
-.\" created by instant / docbook-to-man, Sun 13 May 2007, 19:01
+.\" created by instant / docbook-to-man, Mon 14 May 2007, 21:59
<para><command>&dhpackage;</command> runs a GNOME session with
Openbox as the window manager.</para>
-
- <para>When running inside GNOME like this, Openbox will use the
- <literal>rc-gnome.xml</literal> configuration file.</para>
</refsect1>
<refsect1>
<title>SEE ALSO</title>
- <para>openbox(1), openbox-kde-session (1).
+ <para>openbox(1), openbox-kde-session (1), openbox-session(1).
</para>
<para>The program's full documentation is available on the website:
.PP
\fBopenbox-kde-session\fR runs a KDE session with
Openbox as the window manager.
-.PP
-When running inside KDE like this, Openbox will use the
-\fBrc-kde.xml\fP configuration file.
.SH "SEE ALSO"
.PP
-openbox(1), openbox-gnome-session (1).
+openbox(1), openbox-gnome-session (1), openbox-session (1).
.PP
The program's full documentation is available on the website:
.PP
Please report bugs to: \fBhttp://bugzilla.icculus.org/
\fP
-.\" created by instant / docbook-to-man, Sun 13 May 2007, 19:01
+.\" created by instant / docbook-to-man, Mon 14 May 2007, 21:59
<para><command>&dhpackage;</command> runs a KDE session with
Openbox as the window manager.</para>
-
- <para>When running inside KDE like this, Openbox will use the
- <literal>rc-kde.xml</literal> configuration file.</para>
</refsect1>
<refsect1>
<title>SEE ALSO</title>
- <para>openbox(1), openbox-gnome-session (1).
+ <para>openbox(1), openbox-gnome-session (1), openbox-session (1).
</para>
<para>The program's full documentation is available on the website:
+++ /dev/null
-.TH "OPENBOX" "1"
-.SH "NAME"
-openbox \(em Next generation, highly configurable window manager
-
-.SH "SYNOPSIS"
-.PP
-\fBopenbox\fR [\fB\-\-help\fP] [\fB\-\-version\fP] [\fB\-\-replace\fP] [\fB\-\-reconfigure\fP] [\fB\-\-sm-disable\fP] [\fB\-\-sync\fP] [\fB\-\-debug\fP] [\fB\-\-debug-focus\fP] [\fB\-\-debug-xinerama\fP]
-.SH "DESCRIPTION"
-.PP
-Openbox is a next generation, highly
-configurable window manager. Openbox is compliant with the
-latest window manager standards.
-.PP
-You can start Openbox in three ways:
-.PP
-If you run a display manager such as GDM, you will find 3 entries
-in the login session type menu for Openbox:
-\fBGNOME/Openbox\fR, \fBKDE/Openbox\fR and \fBOpenbox\fR. If you want to use Openbox
-within GNOME or KDE, you can choose the appropriate entry, and it will
-launch GNOME or KDE with Openbox as the window manager.
-.PP
-If you don't want to run Openbox within a desktop environment, then
-it is recommended that you instead set up a ~/.xsession file and
-use the \fBDefault\fR session type. The ~/.xsession file
-should start any applications you want to run at startup, and then run
-\fBopenbox\fR at the end, such as:
-.PP
-.RS
-.PP
-.nf
-xsetroot \-solid grey &
-gnome-settings-daemon &
-exec \fBopenbox\fR
-.fi
-.RE
-.PP
-Lastly, if you use \fBstartx\fR to launch your X
-session, you should set up a ~/.xinitrc file, exactly the same as the
-above ~/.xsession file.
-.PP
-You can use the \fBobconf\fR tool to configure Openbox
-easily with a graphical interface, however more in-depth configuration
-is possible by editing the configuration files by hand. Please note that
-\fBobconf\fR older than version 2.0 may not work at all
-for you.
-.PP
-The default configuration files are installed in
-@configdir@/openbox/rc.xml, and the user configuration is placed in
-~/.config/openbox/rc.xml. You can copy the default configuration
-to ~/.config/openbox and edit it to your liking.
-.SH "OPTIONS"
-.PP
-These are the possible options that \fBopenbox\fR accepts:
-.IP "\fB\-\-help\fP" 10
-Show a summary of the options available.
-.IP "\fB\-\-version\fP" 10
-Show the version of the program.
-.IP "\fB\-\-replace\fP" 10
-Replace the currently running window manager.
-.IP "\fB\-\-reconfigure\fP" 10
-If Openbox is already running on the display, tell it to
-reload its configuration.
-.IP "\fB\-\-sm-disable\fP" 10
-Do not connect to the session manager.
-.IP "\fB\-\-sync\fP" 10
-Run in synchronous mode (for debugging).
-.IP "\fB\-\-debug\fP" 10
-Display debugging output.
-.IP "\fB\-\-debug-focus\fP" 10
-Display debugging output for focus handling.
-.IP "\fB\-\-debug-xinerama\fP" 10
-Split the display into two fake xinerama regions, if
-xinerama is not already enabled. This is for debugging
-xinerama support.
-.SH "SEE ALSO"
-.PP
-obconf (1), openbox-gnome-session (1), openbox-kde-session (1).
-
-.PP
-The program's full documentation is available on the website:
-\fBhttp://openbox.org/\fP
-.PP
-Please report bugs to: \fBhttp://bugzilla.icculus.org/
-\fP
-.\" created by instant / docbook-to-man, Mon 14 May 2007, 17:39
within GNOME or KDE, you can choose the appropriate entry, and it will
launch GNOME or KDE with Openbox as the window manager.</para>
- <para>If you don't want to run Openbox within a desktop environment, then
- it is recommended that you instead set up a ~/.xsession file and
- use the <command>Default</command> session type. The ~/.xsession file
- should start any applications you want to run at startup, and then run
- <command>&dhpackage;</command> at the end, such as:</para>
+ <para>The third option at log in, which is <command>Openbox</command>
+ without a session manager, uses the <command>openbox-session</command>
+ command to start Openbox. On log in, <command>&dhpackage;</command> will
+ run the ~/.config/openbox/autostart.sh script if it exists, and will run
+ the system-wide script @configdir@/openbox/autostart.sh otherwise. You
+ may place anything you want to run automatically in those files, for
+ example:
+ </para>
- <blockquote><literallayout>
+ <blockquote><literallayout>
xsetroot -solid grey &
- gnome-settings-daemon &
- exec <command>&dhpackage;</command></literallayout></blockquote>
+ gnome-settings-daemon &</literallayout></blockquote>
+
+ <para>Make sure that each line is followed by a "&" or else the script will
+ stop there and further commands will not be executed. You can use the
+ @configdir@/openbox/autostart.sh file as an example for creating your
+ own.</para>
+
+ <para>The default @configdir@/openbox/autostart.sh runs a number of things
+ with Openbox.</para>
<para>Lastly, if you use <command>startx</command> to launch your X
- session, you should set up a ~/.xinitrc file, exactly the same as the
- above ~/.xsession file.</para>
+ session, you can set up a ~/.xinitrc file to run
+ <command>openbox-session</command> and follow the same directions as
+ above regarding the autostart.sh file.</para>
<para>You can use the <command>obconf</command> tool to configure Openbox
easily with a graphical interface, however more in-depth configuration
<command>obconf</command> older than version 2.0 may not work at all
for you.</para>
- <para>The default configuration files are installed in
- @configdir@/openbox/rc.xml, and the user configuration is placed in
- ~/.config/openbox/rc.xml. You can copy the default configuration
+ <para>The default configuration and menu files are installed in
+ @configdir@/openbox/, and the user configuration is placed in
+ ~/.config/openbox/. You can copy the default configuration and menus
to ~/.config/openbox and edit it to your liking.</para>
</refsect1>
<refsect1>